<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_POI StructType
 * @subpackage Structs
 */
class Update_POI extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The POIUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\POIUpdate
     */
    public $POIUpdate;
    /**
     * Constructor method for Update_POI
     * @uses Update_POI::setLogin()
     * @uses Update_POI::setPOIUpdate()
     * @param \StructType\Login $login
     * @param \StructType\POIUpdate $pOIUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\POIUpdate $pOIUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setPOIUpdate($pOIUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_POI
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get POIUpdate value
     * @return \StructType\POIUpdate|null
     */
    public function getPOIUpdate()
    {
        return $this->POIUpdate;
    }
    /**
     * Set POIUpdate value
     * @param \StructType\POIUpdate $pOIUpdate
     * @return \StructType\Update_POI
     */
    public function setPOIUpdate(\StructType\POIUpdate $pOIUpdate = null)
    {
        $this->POIUpdate = $pOIUpdate;
        return $this;
    }
}
